#include "stdafx.h"
#include "MyStatusbar.h"
#include <commctrl.h>
#include "resource.h"


//- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
CMyStatusbar::CMyStatusbar()
{	
}

//- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
CMyStatusbar::~CMyStatusbar()
{
}

//- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
int CMyStatusbar::Resize()
{
   RECT rtParent;

   if ((m_hParentWnd == NULL) || (m_hBar == NULL))
      return(-1);

	GetClientRect(m_hParentWnd, &rtParent);

   return(SetWindowPos(m_hBar, NULL, 0, rtParent.bottom - m_nHeight, rtParent.right - rtParent.left,
            m_nHeight, SWP_NOZORDER | SWP_NOACTIVATE));
}

//- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
BOOL CMyStatusbar::SetBarText(LPCWSTR pwzText)
{
	if (m_hBar == NULL) return(FALSE);	

	return(SendMessage(m_hBar, SB_SETTEXT, (WPARAM)0, (LPARAM)pwzText));
}

//- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
BOOL CMyStatusbar::SetBarText(UINT nIndex, LPCWSTR pwzText)
{
	if (m_hBar == NULL) return(FALSE);	

	return(SendMessage(m_hBar, SB_SETTEXT, (WPARAM)nIndex, (LPARAM)pwzText));
}
