#ifndef MyToolbarH
#define MyToolbarH

#include <windows.h>
#include "MyBar.h"


/** Tda CMyToolbar je tda tlatkov lity. */
class __declspec(dllexport) CMyToolbar : public CMyBar {
// Konstruktory a destruktor
public:
   /** Implicitn konstruktor */
   CMyToolbar();
   /** Destruktor */
   virtual ~CMyToolbar();

protected:

private:



// Funkce a metody
public:
   /** Zmna velikosti okna.<BR>
      Funkce je volna pokud dojde je zmn velikosti rodiovskho okna a umouje tak
      tlatkov lit pizpsobit svoj velikost.*/
   virtual int          Resize();
   /** Povolen/zakzn tlatka.<BR>
      Povol/zake tlatko v tltkov lit.<BR>
      @param nButtonID ... ID tlatka v tlatkov lit
      @param bEnable ... pokud je TRUE bude tlatko povolen, pokud FALSE bude
         tlatko zakzan (GRAYED) */
   void                 EnableButton(UINT nButtonID, BOOL bEnable = TRUE);
   /** Stisknut tlatka.<BR>
      Stikne tlatko do stisknut nebo nestisknut polohy.<BR>
      @param nButtonID ... ID tlatka v tlatkov lit
      @param bPressed ... pokud je TRUE bude tlatko zobrazeno jako stisknut,
         jinak (FALSE( bude zobrazeno jako nestisknut */
   void                 PressButton(UINT nButtonID, BOOL bPressed = TRUE);   

protected:

private:
   
// Atributy a datove cleny
public:

protected:

private:
   
};




#endif
