#ifndef MainViewH
#define MainViewH

#include <windows.h>
#include "..\\MyDLL\\MyWindow.h"
#include "..\\MyDLL\\MyVerticalSplitter.h"
#include "ListViewPanel.h"
#include "TreeViewPanel.h"
#include "Statusbar.h"
#include "Toolbar.h"

/** Tda CMainView */
class CMainView : public CMyWindow {
//Konstruktory a destruktor
public:
	/** Implicitn konstruktor*/
	CMainView();
	/** Destruktor*/
	virtual ~CMainView();

protected:

private:


//Funkce a metody
public:

protected:
	/***/
	virtual BOOL						OnCommand(WPARAM wParam, LPARAM lParam);
	/***/
	virtual BOOL						OnCreate(LPCREATESTRUCT psCreateStruct);
	/***/
	virtual BOOL						OnDestroy();

	virtual BOOL						OnEraseBkgnd(HDC hDC);

	virtual BOOL						OnSize(DWORD dwResizingFlag, WORD wNewWidth, WORD wNewHeight);

private:

	void									InitImageList();

	void									InitListView();

	void									InitTreeView();

	void									InsertBitmap(UINT nID);

	void									OnSelChanged(HTREEITEM hItem);

	void									OnShowBar(CMyBar* pBar, UINT nMenuID);	


//Atributy a datove cleny
public:

protected:

private:

	CMyVerticalSplitter				m_hVertical;	

	CTreeViewPanel						m_hTreeViewPanel;

	CListViewPanel						m_hListViewPanel;

	CStatusbar							m_hStatusbar;

	CToolbar								m_hToolbar;


};

#endif
