#include "stdafx.h"
#include "MyToolbar.h"

//- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
CMyToolbar::CMyToolbar()
{		
}

//- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
CMyToolbar::~CMyToolbar()
{
}

//- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
int CMyToolbar::Resize()
{		
	if (m_nHeight > 0) {
		RECT rtParent;
		RECT rtBar;

		GetClientRect(m_hParentWnd, &rtParent);		
		GetWindowRect(m_hBar, &rtBar);

		MoveWindow(m_hBar, 0, 0, rtParent.right - rtParent.left, rtParent.bottom - rtParent.top, TRUE);

		m_nHeight = rtBar.bottom - rtBar.top;
	}	

	return(1);
}

//- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
void CMyToolbar::EnableButton(UINT nButtonID, BOOL bEnabled)
{
   if (m_hBar == NULL) return;

   SendMessage(m_hBar, TB_ENABLEBUTTON, (WPARAM)nButtonID, (LPARAM)MAKELONG(bEnabled, 0));
}

//- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
void CMyToolbar::PressButton(UINT nButtonID, BOOL bPressed)
{
   if (m_hBar == NULL) return;

   SendMessage(m_hBar, TB_PRESSBUTTON, (WPARAM)nButtonID, (LPARAM)MAKELONG(bPressed, 0));
}
