#ifndef TreeViewPanelH
#define TreeViewPanelH

#include <windows.h>
#include "..\\MyDLL\\MyPanel.h"
#include "..\\MyDLL\\MyTreeView.h"

/** Tda CTreeViewPanel */
class CTreeViewPanel : public CMyPanel {
//Konstruktory a destruktor
public:
	/** Implicitn konstruktor*/
	CTreeViewPanel();
	/** Destruktor*/
	virtual ~CTreeViewPanel();

protected:

private:


//Funkce a metody
public:

	virtual BOOL						Resize(RECT* pClientRect = NULL);

	void									ChangeItem(LPCWSTR pwzItem);

protected:
	/***/
	virtual BOOL						OnCreate(LPCREATESTRUCT psCreateStruct);
	
	virtual BOOL						OnEraseBkgnd(HDC hDC);

	virtual BOOL						OnNotify(WPARAM wParam, LPARAM lParam);	

private:

	void									InitImageList();

	void									InitTreeView();

	void									OnSelChanged(HTREEITEM hItem);

	void									OnExpanding(HTREEITEM hItem);

	void									InsertBitmap(UINT nID);


//Atributy a datove cleny
public:

protected:

private:

	HTREEITEM							m_hRoot;

	HIMAGELIST							m_hImageList;

	CMyTreeView							m_hTreeView;

	wchar_t								m_wzPath[MAX_PATH];


};

#endif
